java.lang.UnsupportedOperationException: This is supposed to be overridden by subclasses.-问答-阿里云开发者社区-阿里云

开发者社区> 问答> 正文

java.lang.UnsupportedOperationException: This is supposed to be overridden by subclasses.

迷茫君 2019-07-16 09:26:11 115523

使用odps提交任务JobClient.runJob时报错

分布式计算 MaxCompute
分享到
取消 提交回答
全部回答(5)
  • MaxCompute铭宥
    2020-10-28 14:25:07

    从err message看是protobuf抛出的异常,往往是pb版本冲突导致的。odps-sdk用的是2.4.1的pb,可以检查下你是否打包了高版本的pb到jar包里面了。

    解决方法是用shaded的odps-sdk,即在依赖的时候指定classifier为shaded,这样就能避免pb冲突: com.aliyun.odps odps-sdk-core 0.35.5-public shaded

    可以参考这个问题:https://stackoverflow.com/questions/29044309/hbase-get-scanner-exception-this-is-supposed-to-be-overridden-by-subclasses

    0 0
  • 游客6fbzj4wd4x2es
    2020-03-30 13:58:29

    给下具体的错误栈哈

    0 0
  • 游客g5zs5qpwv2qki
    2020-01-19 11:18:04

    根据异常描述,意思应该是不支持的操作异常,建议通过子类重写方法

    0 0
  • huc_逆天
    2020-01-04 21:41:36

    根据报错,查看日志栈,找到调用类,发现其中的写法错误

    1 0
  • Joyven
    2019-11-12 17:04:20

    不支持的操作异常,根据提示,当前某个类不允许子类覆盖。检查你的业务代码,是不是集成了final的类,或者有哪些集合是不可修改的。

    没有其他错误信息,也看不出具体的问题。

    0 0
添加回答
大数据
使用钉钉扫一扫加入圈子
+ 订阅

大数据计算实践乐园,近距离学习前沿技术

推荐文章
相似问题